## rust-sequoia-sq 0.24.0

=== Makefile ===
# Configuration.
CARGO_TARGET_DIR	?= $(shell pwd)/../target
# We currently only support absolute paths.
CARGO_TARGET_DIR	:= $(abspath $(CARGO_TARGET_DIR))
SQ	?= $(CARGO_TARGET_DIR)/debug/sq

# Tools.
CARGO	?= cargo

ifneq ($(filter Darwin %BSD,$(shell uname -s)),)
	INSTALL		?= ginstall
else
	INSTALL		?= install
endif

# Installation.
.PHONY: build-release
build-release:
	CARGO_TARGET_DIR=$(CARGO_TARGET_DIR) \
	    $(CARGO) build $(CARGO_FLAGS) --release --package sequoia-sq
	$(MAKE) -C../store build-release

.PHONY: install
install: build-release
	$(INSTALL) -d $(DESTDIR)$(PREFIX)/bin
	$(INSTALL) -t $(DESTDIR)$(PREFIX)/bin $(CARGO_TARGET_DIR)/release/sq
	$(INSTALL) -d $(DESTDIR)$(PREFIX)/share/zsh/site-functions
	$(INSTALL) -t $(DESTDIR)$(PREFIX)/share/zsh/site-functions \
	    $(CARGO_TARGET_DIR)/_sq
	$(INSTALL) -d $(DESTDIR)$(PREFIX)/share/bash-completion/completions
	$(INSTALL) $(CARGO_TARGET_DIR)/sq.bash \
	    $(DESTDIR)$(PREFIX)/share/bash-completion/completions/sq
	$(INSTALL) -d $(DESTDIR)$(PREFIX)/share/fish/completions
	$(INSTALL) -t $(DESTDIR)$(PREFIX)/share/fish/completions \
	    $(CARGO_TARGET_DIR)/sq.fish
	$(MAKE) -C../store install

=== debian/changelog ===
rust-sequoia-sq (0.24.0-4) unstable; urgency=medium

  * Package sequoia-sq 0.24.0 from crates.io using debcargo 2.4.3
  * Enable autocrypt functionality

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 04 Feb 2021 08:48:17 -0500

rust-sequoia-sq (0.24.0-3) unstable; urgency=medium

  * Package sequoia-sq 0.24.0 from crates.io using debcargo 2.4.3
  * indicate Breaks/Replaces: ispell (<< 3.4.00-6.1~) (Closes: #981579)
    Thanks, Andreas Beckmann!

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 01 Feb 2021 20:23:35 -0500

rust-sequoia-sq (0.24.0-2) unstable; urgency=medium

  * Package sequoia-sq 0.24.0 from crates.io using debcargo 2.4.3
  * No-op source-only re-upload for Debian Testing Migration.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sat, 30 Jan 2021 23:05:22 -0500

rust-sequoia-sq (0.24.0-1) unstable; urgency=medium

  * Package sequoia-sq 0.24.0 from crates.io using debcargo 2.4.3
    (Closes: #929385)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 28 Jan 2021 17:27:10 -0500

=== debian/control ===
Source: rust-sequoia-sq
Section: utils
Priority: optional
Build-Depends: debhelper (>= 11),
 dh-cargo (>= 18),
 cargo:native,
 rustc:native,
 libstd-rust-dev,
 librust-anyhow-1+default-dev (>= 1.0.18-~~),
 librust-buffered-reader-1+compression-dev,
 librust-buffered-reader-1-dev,
 librust-chrono-0.4+default-dev (>= 0.4.10-~~),
 librust-clap-2+default-dev (>= 2.33-~~),
 librust-clap-2+wrap-help-dev (>= 2.33-~~),
 librust-itertools-0.9+default-dev,
 librust-rpassword-5+default-dev,
 librust-sequoia-autocrypt-0.23-dev,
 librust-sequoia-openpgp-1+default-dev,
 librust-sequoia-openpgp-1-dev,
 librust-tempfile-3+default-dev (>= 3.1-~~),
 librust-term-size-0.3+default-dev,
 bash-completion
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Standards-Version: 4.4.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/sequoia-sq]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/sequoia-sq
Homepage: https://sequoia-pgp.org/

Package: sq
Architecture: any
Multi-Arch: allowed
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${cargo:Depends}
Recommends:
 ${cargo:Recommends}
Suggests:
 ${cargo:Suggests}
Provides:
 ${cargo:Provides}
Built-Using: ${cargo:Built-Using}
XB-X-Cargo-Built-Using: ${cargo:X-Cargo-Built-Using}
Breaks: ispell (<< 3.4.00-6.1~)
Replaces: ispell (<< 3.4.00-6.1~)
Description: OpenPGP command-line tool from Sequoia
 sq is a command-line interface for OpenPGP, structured using
 subcommands and implemented in Rust.
 .
 Subcommands include: help, decrypt, encrypt, sign, verify, armor,
 dearmor, autocrypt, inspect, key, keyring, certify, packet.
 .
 It offers modern cryptographic algorithms by default, like Ed25519 and
 Curve25519.
 .
 The tool offers both message handling (encryption, decryption,
 signing, and verification), and key and certificate management (key
 generation, certificate maintenance, and certification), and is
 interoperable with other major OpenPGP implementations like GnuPG
 (gpg).
 .
 WARNING: sq does not have a stable CLI interface yet.  Use with
 caution in scripts.
 .
 This package contains the following binaries built from the Rust crate
 "sequoia-sq":
  - sq

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --buildsystem cargo --with bash-completion

## rust-sequoia-sq 0.25.0

=== debian/changelog ===
rust-sequoia-sq (0.25.0-3) unstable; urgency=medium

  * Team upload.
  * Package sequoia-sq 0.25.0 from crates.io using debcargo 2.5.0
  * Relax dependency on sequoia-autocrypt.

 -- Peter Michael Green <plugwash@debian.org>  Tue, 14 Dec 2021 13:03:46 +0000

rust-sequoia-sq (0.25.0-2) unstable; urgency=medium

  * Team upload.
  * Package sequoia-sq 0.25.0 from crates.io using debcargo 2.4.4

 -- Peter Michael Green <plugwash@debian.org>  Sun, 24 Oct 2021 17:14:53 +0000

rust-sequoia-sq (0.25.0-1) unstable; urgency=medium

  * Package sequoia-sq 0.25.0 from crates.io using debcargo 2.4.4

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 05 Mar 2021 19:34:07 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: rust-sequoia-sq
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 11),
- dh-cargo (>= 18),
+Build-Depends: debhelper (>= 12),
+ dh-cargo (>= 25),
  cargo:native,
  rustc:native,
  libstd-rust-dev,
@@ -12,21 +12,24 @@
  librust-chrono-0.4+default-dev (>= 0.4.10-~~),
  librust-clap-2+default-dev (>= 2.33-~~),
  librust-clap-2+wrap-help-dev (>= 2.33-~~),
- librust-itertools-0.9+default-dev,
+ librust-itertools-0.10+default-dev | librust-itertools-0.9+default-dev,
  librust-rpassword-5+default-dev,
- librust-sequoia-autocrypt-0.23-dev,
+ librust-sequoia-autocrypt-0.24-dev | librust-sequoia-autocrypt-0.23-dev,
  librust-sequoia-openpgp-1+default-dev,
+ librust-sequoia-openpgp-1+default-dev (>= 1.1-~~),
  librust-sequoia-openpgp-1-dev,
+ librust-sequoia-openpgp-1-dev (>= 1.1-~~),
  librust-tempfile-3+default-dev (>= 3.1-~~),
  librust-term-size-0.3+default-dev,
  bash-completion
 Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders:
  Daniel Kahn Gillmor <dkg@fifthhorseman.net>
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/sequoia-sq]
 Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/sequoia-sq
 Homepage: https://sequoia-pgp.org/
+Rules-Requires-Root: no
 
 Package: sq
 Architecture: any
@@ -63,7 +66,6 @@
  .
  WARNING: sq does not have a stable CLI interface yet.  Use with
  caution in scripts.
- .
  This package contains the following binaries built from the Rust crate
  "sequoia-sq":
   - sq

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/sequoia-sq-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/sequoia-sq .*/crates/sequoia-sq/@ANY_VERSION@/download

## rust-sequoia-sq 0.27.0

=== debian/changelog ===
rust-sequoia-sq (0.27.0-2) unstable; urgency=medium

  * Team upload.
  * Package sequoia-sq 0.27.0 from crates.io using debcargo 2.6.0
  * Apply upstream patch for rpassword 6.

 -- Peter Michael Green <plugwash@debian.org>  Thu, 09 Feb 2023 04:32:50 +0000

rust-sequoia-sq (0.27.0-1) unstable; urgency=medium

  * Package sequoia-sq 0.27.0 from crates.io using debcargo 2.5.0

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 20 Jul 2022 01:12:11 -0400

rust-sequoia-sq (0.26.0-3) unstable; urgency=medium

  * Team upload.
  * Package sequoia-sq 0.26.0 from crates.io using debcargo 2.5.0
  * Bump dependency on sequoia-net to 0.25 (Closes: #1015109)

 -- Peter Michael Green <plugwash@debian.org>  Sun, 17 Jul 2022 01:55:48 +0000

rust-sequoia-sq (0.26.0-2) unstable; urgency=medium

  * Package sequoia-sq 0.26.0 from crates.io using debcargo 2.5.0
  * Ship correct manpages now that the net feature is enabled.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 08 Jul 2022 15:04:23 -0400

rust-sequoia-sq (0.26.0-1) unstable; urgency=medium

  * Package sequoia-sq 0.26.0 from crates.io using debcargo 2.5.0
  * drop subplot tests since subplot is not in debian

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 08 Jul 2022 02:36:56 -0400

=== debian/control ===
--- 
+++ 
@@ -7,28 +7,40 @@
  rustc:native,
  libstd-rust-dev,
  librust-anyhow-1+default-dev (>= 1.0.18-~~),
- librust-buffered-reader-1+compression-dev,
- librust-buffered-reader-1-dev,
+ librust-buffered-reader-1+compression-bzip2-dev,
+ librust-buffered-reader-1+compression-deflate-dev,
+ librust-cfg-if-1+default-dev,
  librust-chrono-0.4+default-dev (>= 0.4.10-~~),
- librust-clap-2+default-dev (>= 2.33-~~),
- librust-clap-2+wrap-help-dev (>= 2.33-~~),
- librust-itertools-0.10+default-dev | librust-itertools-0.9+default-dev,
- librust-rpassword-5+default-dev,
- librust-sequoia-autocrypt-0.24-dev | librust-sequoia-autocrypt-0.23-dev,
- librust-sequoia-openpgp-1+default-dev,
- librust-sequoia-openpgp-1+default-dev (>= 1.1-~~),
+ librust-clap-3+default-dev,
+ librust-clap-3+derive-dev,
+ librust-clap-3+env-dev,
+ librust-clap-3+wrap-help-dev,
+ librust-clap-complete-3+default-dev,
+ librust-itertools-0.10+default-dev,
+ librust-rpassword-6+default-dev,
+ librust-sequoia-autocrypt-0.24-dev,
+ librust-sequoia-net-0.25-dev,
+ librust-sequoia-openpgp-1+compression-bzip2-dev,
+ librust-sequoia-openpgp-1+compression-bzip2-dev (>= 1.1-~~),
+ librust-sequoia-openpgp-1+compression-deflate-dev (>= 1.1-~~),
+ librust-sequoia-openpgp-1+crypto-nettle-dev,
+ librust-sequoia-openpgp-1+crypto-nettle-dev (>= 1.1-~~),
  librust-sequoia-openpgp-1-dev,
- librust-sequoia-openpgp-1-dev (>= 1.1-~~),
+ librust-serde-1+default-dev (>= 1.0.137-~~),
+ librust-serde-1+derive-dev (>= 1.0.137-~~),
+ librust-serde-json-1+default-dev (>= 1.0.80-~~),
  librust-tempfile-3+default-dev (>= 3.1-~~),
  librust-term-size-0.3+default-dev,
+ librust-tokio-1+default-dev (>= 1.13.1-~~),
  bash-completion
 Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders:
  Daniel Kahn Gillmor <dkg@fifthhorseman.net>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/sequoia-sq]
 Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/sequoia-sq
 Homepage: https://sequoia-pgp.org/
+X-Cargo-Crate: sequoia-sq
 Rules-Requires-Root: no
 
 Package: sq

## rust-sequoia-sq 0.33.0

=== debian/changelog ===
rust-sequoia-sq (0.33.0-3) unstable; urgency=medium

  * Team upload.
  * Package sequoia-sq 0.33.0 from crates.io using debcargo 2.6.1
  * Apply upstream patches for sequoia-cert-store 0.5 and sequoia-wot 0.10
  * Bump sequoia-wot dependency to 0.11

 -- Peter Michael Green <plugwash@debian.org>  Fri, 22 Mar 2024 00:01:22 +0000

rust-sequoia-sq (0.33.0-2) unstable; urgency=medium

  * Team upload.
  * Package sequoia-sq 0.33.0 from crates.io using debcargo 2.6.1
  * Relax itertools dependency.

 -- Peter Michael Green <plugwash@debian.org>  Sat, 27 Jan 2024 18:26:29 +0000

rust-sequoia-sq (0.33.0-1) unstable; urgency=medium

  * Team upload.
  * Package sequoia-sq 0.33.0 from crates.io using debcargo 2.6.1
  * Update copyright file for upstream license change.
  * Fix installation of shell completion files with new upstream version.

 -- Peter Michael Green <plugwash@debian.org>  Thu, 25 Jan 2024 13:50:54 +0000

rust-sequoia-sq (0.31.0-2) unstable; urgency=medium

  * Team upload.
  * Package sequoia-sq 0.31.0 from crates.io using debcargo 2.6.1
  * Stop patching rpassword dependency.

 -- Peter Michael Green <plugwash@debian.org>  Mon, 27 Nov 2023 22:46:50 +0000

rust-sequoia-sq (0.31.0-1) unstable; urgency=medium

  * Team upload.
  * Package sequoia-sq 0.31.0 from crates.io using debcargo 2.6.0 (Closes: #1040959, #1042209)
  * Update drop-subplot.patch for new upstream.
  * Drop relax-serde_json.patch and rpassword-6.patch, no longer needed.
  * Revert upstream bump of rpassword from 6 to 7.
  * Drop reference to manpage that no longer seems to exist.

 -- Peter Michael Green <plugwash@debian.org>  Tue, 07 Nov 2023 21:58:44 +0000

=== debian/control ===
--- 
+++ 
@@ -4,39 +4,47 @@
 Build-Depends: debhelper (>= 12),
  dh-cargo (>= 25),
  cargo:native,
- rustc:native,
+ rustc:native (>= 1.70),
  libstd-rust-dev,
  librust-anyhow-1+default-dev (>= 1.0.18-~~),
- librust-buffered-reader-1+compression-bzip2-dev,
  librust-buffered-reader-1+compression-deflate-dev,
  librust-cfg-if-1+default-dev,
  librust-chrono-0.4+default-dev (>= 0.4.10-~~),
- librust-clap-3+default-dev,
- librust-clap-3+derive-dev,
- librust-clap-3+env-dev,
- librust-clap-3+wrap-help-dev,
- librust-clap-complete-3+default-dev,
- librust-itertools-0.10+default-dev,
- librust-rpassword-6+default-dev,
- librust-sequoia-autocrypt-0.24-dev,
- librust-sequoia-net-0.25-dev,
- librust-sequoia-openpgp-1+compression-bzip2-dev,
- librust-sequoia-openpgp-1+compression-bzip2-dev (>= 1.1-~~),
- librust-sequoia-openpgp-1+compression-deflate-dev (>= 1.1-~~),
- librust-sequoia-openpgp-1+crypto-nettle-dev,
- librust-sequoia-openpgp-1+crypto-nettle-dev (>= 1.1-~~),
- librust-sequoia-openpgp-1-dev,
+ librust-clap-4+default-dev,
+ librust-clap-4+derive-dev,
+ librust-clap-4+env-dev,
+ librust-clap-4+string-dev,
+ librust-clap-4+wrap-help-dev,
+ librust-clap-complete-4+default-dev,
+ librust-dirs-5+default-dev,
+ librust-dot-writer-0.1+default-dev (>= 0.1.3-~~),
+ librust-humantime-2+default-dev,
+ librust-itertools-0+default-dev (>= 0.10-~~),
+ librust-roff-0.2+default-dev (>= 0.2.1-~~),
+ librust-rpassword-7+default-dev,
+ librust-sequoia-autocrypt-0.25-dev,
+ librust-sequoia-cert-store-0.5+default-dev,
+ librust-sequoia-net-0.28-dev,
+ librust-sequoia-openpgp-1+compression-bzip2-dev (>= 1.17-~~),
+ librust-sequoia-openpgp-1+compression-deflate-dev (>= 1.17-~~),
+ librust-sequoia-openpgp-1+crypto-nettle-dev (>= 1.17-~~),
+ librust-sequoia-openpgp-1-dev (>= 1.17-~~),
+ librust-sequoia-policy-config-0.6+default-dev,
+ librust-sequoia-wot-0.11+default-dev,
  librust-serde-1+default-dev (>= 1.0.137-~~),
  librust-serde-1+derive-dev (>= 1.0.137-~~),
  librust-serde-json-1+default-dev (>= 1.0.80-~~),
  librust-tempfile-3+default-dev (>= 3.1-~~),
- librust-term-size-0.3+default-dev,
+ librust-termcolor-1+default-dev (>= 1.2.0-~~),
+ librust-terminal-size-0+default-dev (>= 0.2.6-~~),
+ librust-terminal-size-0.3+default-dev | librust-terminal-size-0.2+default-dev (>= 0.2.6-~~),
+ librust-textwrap-0.16+default-dev | librust-textwrap-0.15+default-dev,
  librust-tokio-1+default-dev (>= 1.13.1-~~),
  bash-completion
 Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders:
  Daniel Kahn Gillmor <dkg@fifthhorseman.net>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/sequoia-sq]
 Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/sequoia-sq
 Homepage: https://sequoia-pgp.org/

=== debian/rules ===
#!/usr/bin/make -f

export ASSET_OUT_DIR := target

%:
	dh $@ --buildsystem cargo --with bash-completion

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/sequoia-sq-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+].unwrap()((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/sequoia-sq .*/crates/sequoia-sq/@ANY_VERSION@/download

## rust-sequoia-sq 0.37.0

=== debian/changelog ===
rust-sequoia-sq (0.37.0-1) unstable; urgency=medium

  * Team upload.
  * Package sequoia-sq 0.37.0 from crates.io using debcargo 2.6.1 (Closes: #1074679)
  * Bump sequoia-openpgp dependency to pick up the fix for RUSTSEC-2024-0345

  [ Holger Levsen ]
  * Package sequoia-sq 0.37.0 from crates.io using debcargo 2.6.1.
    Closes: #1073408.
  * Add Alexander and myself to uploaders.

  [ Alexander Kjäll ]
  * Package sequoia-sq 0.34.0 from crates.io using debcargo 2.6.1
  * Add man pages and bash completion to sequoia-sq.

 -- Peter Michael Green <plugwash@debian.org>  Tue, 23 Jul 2024 13:47:04 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,8 @@
  rustc:native (>= 1.70),
  libstd-rust-dev,
  librust-anyhow-1+default-dev (>= 1.0.18-~~),
- librust-buffered-reader-1+compression-deflate-dev,
+ librust-buffered-reader-1+compression-dev,
+ librust-buffered-reader-1+compression-dev (>= 1.3.1-~~),
  librust-cfg-if-1+default-dev,
  librust-chrono-0.4+default-dev (>= 0.4.10-~~),
  librust-clap-4+default-dev,
@@ -19,18 +20,22 @@
  librust-dirs-5+default-dev,
  librust-dot-writer-0.1+default-dev (>= 0.1.3-~~),
  librust-humantime-2+default-dev,
+ librust-indicatif-0.17+default-dev,
  librust-itertools-0+default-dev (>= 0.10-~~),
+ librust-once-cell-1+default-dev (>= 1.17-~~),
  librust-roff-0.2+default-dev (>= 0.2.1-~~),
  librust-rpassword-7+default-dev,
  librust-sequoia-autocrypt-0.25-dev,
- librust-sequoia-cert-store-0.5+default-dev,
+ librust-sequoia-cert-store-0.6+default-dev,
+ librust-sequoia-directories-0.1+default-dev,
+ librust-sequoia-keystore-0.5+default-dev,
  librust-sequoia-net-0.28-dev,
- librust-sequoia-openpgp-1+compression-bzip2-dev (>= 1.17-~~),
- librust-sequoia-openpgp-1+compression-deflate-dev (>= 1.17-~~),
+ librust-sequoia-openpgp-1+compression-dev (>= 1.21-~~),
  librust-sequoia-openpgp-1+crypto-nettle-dev (>= 1.17-~~),
+ librust-sequoia-openpgp-1+crypto-nettle-dev (>= 1.21-~~),
  librust-sequoia-openpgp-1-dev (>= 1.17-~~),
  librust-sequoia-policy-config-0.6+default-dev,
- librust-sequoia-wot-0.11+default-dev,
+ librust-sequoia-wot-0.12-dev,
  librust-serde-1+default-dev (>= 1.0.137-~~),
  librust-serde-1+derive-dev (>= 1.0.137-~~),
  librust-serde-json-1+default-dev (>= 1.0.80-~~),
@@ -39,11 +44,14 @@
  librust-terminal-size-0+default-dev (>= 0.2.6-~~),
  librust-terminal-size-0.3+default-dev | librust-terminal-size-0.2+default-dev (>= 0.2.6-~~),
  librust-textwrap-0.16+default-dev | librust-textwrap-0.15+default-dev,
+ librust-thiserror-1+default-dev,
  librust-tokio-1+default-dev (>= 1.13.1-~~),
  bash-completion
 Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders:
- Daniel Kahn Gillmor <dkg@fifthhorseman.net>
+ Alexander Kjäll <alexander.kjall@gmail.com>,
+ Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
+ Holger Levsen <holger@debian.org>
 Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/sequoia-sq]
 Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/sequoia-sq

=== debian/rules ===
--- 
+++ 
@@ -4,3 +4,11 @@
 
 %:
 	dh $@ --buildsystem cargo --with bash-completion
+
+override_dh_install:
+	mkdir -p debian/sq/usr/share/fish/completions/ debian/sq/usr/share/zsh/vendor-completions/ debian/sq/usr/share/bash-completion/completions/
+	cp -f debian/completion/sq.fish debian/sq/usr/share/fish/completions/sq.fish
+	chmod -x debian/sq/usr/share/fish/completions/sq.fish
+	cp -f debian/completion/_sq debian/sq/usr/share/zsh/vendor-completions/_sq
+	cp -f debian/completion/sq.bash debian/sq/usr/share/bash-completion/completions/sq
+	dh_install

## rust-sequoia-sq 0.38.0

=== debian/changelog ===
rust-sequoia-sq (0.38.0-3) unstable; urgency=medium

  * Package sequoia-sq 0.38.0 from crates.io using debcargo 2.7.0
    - ship upstream manpages and shell completions, generated at build time.

 -- Holger Levsen <holger@debian.org>  Sun, 13 Oct 2024 18:40:36 +0200

rust-sequoia-sq (0.38.0-2) unstable; urgency=medium

  * Package sequoia-sq 0.38.0 from crates.io using debcargo 2.7.0
    - relax dependencies to allow build with -policy-config 0.7.

 -- Holger Levsen <holger@debian.org>  Sat, 12 Oct 2024 13:38:34 +0200

rust-sequoia-sq (0.38.0-1) unstable; urgency=medium

  * Team upload.
  * Package sequoia-sq 0.38.0 from crates.io using debcargo 2.7.0 (Closes: #1081757)
  * Update patches for new upstream.

 -- Peter Michael Green <plugwash@debian.org>  Tue, 24 Sep 2024 08:39:42 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: rust-sequoia-sq
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 12),
+Build-Depends: debhelper-compat (= 13),
  dh-cargo (>= 25),
  cargo:native,
  rustc:native (>= 1.70),
@@ -11,6 +11,7 @@
  librust-buffered-reader-1+compression-dev (>= 1.3.1-~~),
  librust-cfg-if-1+default-dev,
  librust-chrono-0.4+default-dev (>= 0.4.10-~~),
+ librust-chrono-0.4+default-dev (>= 0.4.38-~~),
  librust-clap-4+default-dev,
  librust-clap-4+derive-dev,
  librust-clap-4+env-dev,
@@ -18,27 +19,25 @@
  librust-clap-4+wrap-help-dev,
  librust-clap-complete-4+default-dev,
  librust-dirs-5+default-dev,
- librust-dot-writer-0.1+default-dev (>= 0.1.3-~~),
+ librust-fs-extra-1+default-dev,
  librust-humantime-2+default-dev,
  librust-indicatif-0.17+default-dev,
- librust-itertools-0+default-dev (>= 0.10-~~),
  librust-once-cell-1+default-dev (>= 1.17-~~),
  librust-roff-0.2+default-dev (>= 0.2.1-~~),
  librust-rpassword-7+default-dev,
  librust-sequoia-autocrypt-0.25-dev,
  librust-sequoia-cert-store-0.6+default-dev,
  librust-sequoia-directories-0.1+default-dev,
- librust-sequoia-keystore-0.5+default-dev,
+ librust-sequoia-keystore-0.6+default-dev | librust-sequoia-keystore-0.5+default-dev,
  librust-sequoia-net-0.28-dev,
  librust-sequoia-openpgp-1+compression-dev (>= 1.21-~~),
- librust-sequoia-openpgp-1+crypto-nettle-dev (>= 1.17-~~),
  librust-sequoia-openpgp-1+crypto-nettle-dev (>= 1.21-~~),
- librust-sequoia-openpgp-1-dev (>= 1.17-~~),
- librust-sequoia-policy-config-0.6+default-dev,
+ librust-sequoia-openpgp-1+crypto-nettle-dev (>= 1.21.1-~~),
+ librust-sequoia-openpgp-1-dev (>= 1.21.1-~~),
+ librust-sequoia-policy-config-0.7+default-dev | librust-sequoia-policy-config-0.6+default-dev,
  librust-sequoia-wot-0.12-dev,
  librust-serde-1+default-dev (>= 1.0.137-~~),
  librust-serde-1+derive-dev (>= 1.0.137-~~),
- librust-serde-json-1+default-dev (>= 1.0.80-~~),
  librust-tempfile-3+default-dev (>= 3.1-~~),
  librust-termcolor-1+default-dev (>= 1.2.0-~~),
  librust-terminal-size-0+default-dev (>= 0.2.6-~~),
@@ -52,7 +51,7 @@
  Alexander Kjäll <alexander.kjall@gmail.com>,
  Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
  Holger Levsen <holger@debian.org>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/sequoia-sq]
 Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/sequoia-sq
 Homepage: https://sequoia-pgp.org/
@@ -73,7 +72,7 @@
 Provides:
  ${cargo:Provides}
 Built-Using: ${cargo:Built-Using}
-XB-X-Cargo-Built-Using: ${cargo:X-Cargo-Built-Using}
+Static-Built-Using: ${cargo:Static-Built-Using}
 Breaks: ispell (<< 3.4.00-6.1~)
 Replaces: ispell (<< 3.4.00-6.1~)
 Description: OpenPGP command-line tool from Sequoia

## rust-sequoia-sq 0.40.0

=== debian/changelog ===
rust-sequoia-sq (0.40.0-2) unstable; urgency=medium

  * Team upload.
  * Package sequoia-sq 0.40.0 from crates.io using debcargo 2.7.5
  * Bump terminal-size to v0.4 (Closes: #1092378)

 -- NoisyCoil <noisycoil@tutanota.com>  Tue, 07 Jan 2025 23:37:47 +0000

rust-sequoia-sq (0.40.0-1) unstable; urgency=medium

  * Package sequoia-sq 0.40.0 from crates.io using debcargo 2.7.4
    - refresh patches.
    - drop man-pages dropped upstream, simplify debian/sq.manpages.

 -- Holger Levsen <holger@debian.org>  Fri, 29 Nov 2024 17:29:35 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: utils
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
- dh-cargo (>= 25),
+ dh-sequence-cargo,
  cargo:native,
- rustc:native (>= 1.70),
+ rustc:native (>= 1.79),
  libstd-rust-dev,
+ librust-aho-corasick-1+default-dev,
  librust-anyhow-1+default-dev (>= 1.0.18-~~),
  librust-buffered-reader-1+compression-dev,
  librust-buffered-reader-1+compression-dev (>= 1.3.1-~~),
@@ -20,9 +21,15 @@
  librust-clap-complete-4+default-dev,
  librust-dirs-5+default-dev,
  librust-fs-extra-1+default-dev,
+ librust-futures-util-0.3+default-dev,
+ librust-gethostname-0.4+default-dev,
  librust-humantime-2+default-dev,
  librust-indicatif-0.17+default-dev,
  librust-once-cell-1+default-dev (>= 1.17-~~),
+ librust-regex-1+default-dev,
+ librust-reqwest-0.11+default-dev,
+ librust-reqwest-0.11+hickory-dns-dev,
+ librust-reqwest-0.11+stream-dev,
  librust-roff-0.2+default-dev (>= 0.2.1-~~),
  librust-rpassword-7+default-dev,
  librust-sequoia-autocrypt-0.25-dev,
@@ -34,17 +41,22 @@
  librust-sequoia-openpgp-1+crypto-nettle-dev (>= 1.21-~~),
  librust-sequoia-openpgp-1+crypto-nettle-dev (>= 1.21.1-~~),
  librust-sequoia-openpgp-1-dev (>= 1.21.1-~~),
- librust-sequoia-policy-config-0.7+default-dev | librust-sequoia-policy-config-0.6+default-dev,
- librust-sequoia-wot-0.12-dev,
+ librust-sequoia-policy-config-0.7+default-dev,
+ librust-sequoia-wot-0.13-dev (>= 0.13.2-~~),
  librust-serde-1+default-dev (>= 1.0.137-~~),
  librust-serde-1+derive-dev (>= 1.0.137-~~),
  librust-tempfile-3+default-dev (>= 3.1-~~),
  librust-termcolor-1+default-dev (>= 1.2.0-~~),
- librust-terminal-size-0+default-dev (>= 0.2.6-~~),
- librust-terminal-size-0.3+default-dev | librust-terminal-size-0.2+default-dev (>= 0.2.6-~~),
+ librust-terminal-size-0.4+default-dev,
+ librust-terminal-size-0.4+default-dev | librust-terminal-size-0.3+default-dev | librust-terminal-size-0.2+default-dev (>= 0.2.6-~~),
  librust-textwrap-0.16+default-dev | librust-textwrap-0.15+default-dev,
+ librust-textwrap-0.16+smawk-dev | librust-textwrap-0.15+smawk-dev,
+ librust-textwrap-0.16+unicode-width-dev | librust-textwrap-0.15+unicode-width-dev,
  librust-thiserror-1+default-dev,
  librust-tokio-1+default-dev (>= 1.13.1-~~),
+ librust-toml-edit-0.22+display-dev,
+ librust-toml-edit-0.22+parse-dev,
+ librust-typenum-1+default-dev,
  bash-completion
 Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders:

## rust-sequoia-sq 1.2.0

=== debian/changelog ===
rust-sequoia-sq (1.2.0-1) unstable; urgency=medium

  * Package sequoia-sq 1.2.0 from crates.io using debcargo 2.7.6

 -- Alexander Kjäll <alexander.kjall@gmail.com>  Wed, 05 Feb 2025 12:08:59 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,9 @@
  librust-clap-4+string-dev,
  librust-clap-4+wrap-help-dev,
  librust-clap-complete-4+default-dev,
+ librust-clap-lex-0.7-dev,
  librust-dirs-5+default-dev,
+ librust-filetime-0.2+default-dev,
  librust-fs-extra-1+default-dev,
  librust-futures-util-0.3+default-dev,
  librust-gethostname-0.4+default-dev,
@@ -27,20 +29,22 @@
  librust-indicatif-0.17+default-dev,
  librust-once-cell-1+default-dev (>= 1.17-~~),
  librust-regex-1+default-dev,
- librust-reqwest-0.11+default-dev,
- librust-reqwest-0.11+hickory-dns-dev,
- librust-reqwest-0.11+stream-dev,
+ librust-reqwest-0.12+default-dev,
+ librust-reqwest-0.12+hickory-dns-dev,
+ librust-reqwest-0.12+stream-dev,
  librust-roff-0.2+default-dev (>= 0.2.1-~~),
  librust-rpassword-7+default-dev,
+ librust-rusqlite-0.29+default-dev,
  librust-sequoia-autocrypt-0.25-dev,
- librust-sequoia-cert-store-0.6+default-dev,
+ librust-sequoia-cert-store-0.6-dev,
  librust-sequoia-directories-0.1+default-dev,
- librust-sequoia-keystore-0.6+default-dev | librust-sequoia-keystore-0.5+default-dev,
- librust-sequoia-net-0.28-dev,
- librust-sequoia-openpgp-1+compression-dev (>= 1.21-~~),
- librust-sequoia-openpgp-1+crypto-nettle-dev (>= 1.21-~~),
- librust-sequoia-openpgp-1+crypto-nettle-dev (>= 1.21.1-~~),
- librust-sequoia-openpgp-1-dev (>= 1.21.1-~~),
+ librust-sequoia-ipc-0.35-dev,
+ librust-sequoia-keystore-0.6+default-dev,
+ librust-sequoia-net-0.29-dev,
+ librust-sequoia-openpgp-1+compression-dev,
+ librust-sequoia-openpgp-1+crypto-nettle-dev,
+ librust-sequoia-openpgp-1+crypto-nettle-dev (>= 1.22-~~),
+ librust-sequoia-openpgp-1-dev (>= 1.22-~~),
  librust-sequoia-policy-config-0.7+default-dev,
  librust-sequoia-wot-0.13-dev (>= 0.13.2-~~),
  librust-serde-1+default-dev (>= 1.0.137-~~),
@@ -48,11 +52,10 @@
  librust-tempfile-3+default-dev (>= 3.1-~~),
  librust-termcolor-1+default-dev (>= 1.2.0-~~),
  librust-terminal-size-0.4+default-dev,
- librust-terminal-size-0.4+default-dev | librust-terminal-size-0.3+default-dev | librust-terminal-size-0.2+default-dev (>= 0.2.6-~~),
- librust-textwrap-0.16+default-dev | librust-textwrap-0.15+default-dev,
- librust-textwrap-0.16+smawk-dev | librust-textwrap-0.15+smawk-dev,
- librust-textwrap-0.16+unicode-width-dev | librust-textwrap-0.15+unicode-width-dev,
- librust-thiserror-1+default-dev,
+ librust-textwrap-0.16+default-dev,
+ librust-textwrap-0.16+smawk-dev,
+ librust-textwrap-0.16+unicode-width-dev,
+ librust-thiserror-2+default-dev,
  librust-tokio-1+default-dev (>= 1.13.1-~~),
  librust-toml-edit-0.22+display-dev,
  librust-toml-edit-0.22+parse-dev,

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/sequoia-sq-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/sequoia-sq .*/crates/sequoia-sq/@ANY_VERSION@/download

## rust-sequoia-sq 1.3.1

=== debian/changelog ===
rust-sequoia-sq (1.3.1-5) unstable; urgency=medium

  * Package sequoia-sq 1.3.1 from crates.io using debcargo 2.7.11

 -- Holger Levsen <holger@debian.org>  Fri, 12 Dec 2025 22:29:11 +0100

rust-sequoia-sq (1.3.1-4) unstable; urgency=medium

  * Team upload
  * Package sequoia-sq 1.3.1 from crates.io using debcargo 2.7.10
  * Simplify relax deps patch

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 26 Sep 2025 22:26:45 -0400

rust-sequoia-sq (1.3.1-3) unstable; urgency=medium

  * Package sequoia-sq 1.3.1 from crates.io using debcargo 2.7.8
    - relax dependencies to allow build with sequoia-wot 0.15.0. Closes: #1115568.
    - explicitly declare multiarch "foreign".

 -- Holger Levsen <holger@debian.org>  Fri, 19 Sep 2025 15:17:18 +0200

rust-sequoia-sq (1.3.1-2) unstable; urgency=medium

  * Package sequoia-sq 1.3.1 from crates.io using debcargo 2.7.8
    - d/control: drop warning that sq has no stable interface as it has one
      since version 1.0.

 -- Holger Levsen <holger@debian.org>  Thu, 10 Apr 2025 14:40:48 +0200

rust-sequoia-sq (1.3.1-1) unstable; urgency=medium

  * Package sequoia-sq 1.3.1 from crates.io using debcargo 2.7.8
    - refresh patches.
    - add man-pages/(man-pandoc.(lua|inc.html)|man2html.sh) to not-installed.

 -- Holger Levsen <holger@debian.org>  Tue, 01 Apr 2025 23:51:00 +0200

=== debian/control ===
Source: rust-sequoia-sq
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-sequence-cargo,
 bash-completion
Build-Depends-Arch: cargo:native,
 rustc:native (>= 1.79),
 libstd-rust-dev,
 librust-aho-corasick-1+default-dev,
 librust-anyhow-1+default-dev (>= 1.0.18-~~),
 librust-buffered-reader-1+compression-dev (>= 1.4-~~),
 librust-cfg-if-1+default-dev,
 librust-chrono-0.4+default-dev (>= 0.4.10-~~),
 librust-chrono-0.4+default-dev (>= 0.4.38-~~),
 librust-clap-4+default-dev,
 librust-clap-4+derive-dev,
 librust-clap-4+env-dev,
 librust-clap-4+string-dev,
 librust-clap-4+wrap-help-dev,
 librust-clap-complete-4+default-dev,
 librust-clap-lex-0.7-dev,
 librust-dirs-5+default-dev,
 librust-filetime-0.2+default-dev,
 librust-fs-extra-1+default-dev,
 librust-futures-util-0.3+default-dev,
 librust-gethostname+default-dev (<< 0.6-~~),
 librust-gethostname+default-dev (>= 0.4-~~),
 librust-humantime-2+default-dev,
 librust-indicatif-0.17+default-dev,
 librust-once-cell-1+default-dev (>= 1.17-~~),
 librust-regex-1+default-dev,
 librust-reqwest-0.12+default-dev,
 librust-reqwest-0.12+hickory-dns-dev,
 librust-reqwest-0.12+stream-dev,
 librust-roff-0.2+default-dev (>= 0.2.1-~~),
 librust-rpassword-7+default-dev,
 librust-rusqlite-0.29+default-dev,
 librust-sequoia-autocrypt-0.26-dev,
 librust-sequoia-cert-store-0.7-dev,
 librust-sequoia-directories-0.1+default-dev,
 librust-sequoia-ipc-0.36-dev,
 librust-sequoia-keystore-0.7+default-dev,
 librust-sequoia-man-0.3+default-dev,
 librust-sequoia-net-0.30-dev,
 librust-sequoia-openpgp-2+compression-dev,
 librust-sequoia-openpgp-2+crypto-nettle-dev,
 librust-sequoia-policy-config-0.8+default-dev,
 librust-sequoia-wot-0.15-dev,
 librust-serde-1+default-dev (>= 1.0.137-~~),
 librust-serde-1+derive-dev (>= 1.0.137-~~),
 librust-tempfile-3+default-dev (>= 3.1-~~),
 librust-termcolor-1+default-dev (>= 1.2.0-~~),
 librust-terminal-size+default-dev (<< 0.5-~~),
 librust-terminal-size+default-dev (>= 0.2.6-~~),
 librust-textwrap+default-dev (<< 0.17-~~),
 librust-textwrap+default-dev (>= 0.15-~~),
 librust-textwrap+smawk-dev (<< 0.17-~~),
 librust-textwrap+smawk-dev (>= 0.15-~~),
 librust-textwrap+unicode-width-dev (<< 0.17-~~),
 librust-textwrap+unicode-width-dev (>= 0.15-~~),
 librust-thiserror+default-dev (<< 3-~~),
 librust-thiserror+default-dev (>= 1-~~),
 librust-tokio-1+default-dev (>= 1.13.1-~~),
 librust-toml-edit-0.22+display-dev,
 librust-toml-edit-0.22+parse-dev,
 librust-typenum-1+default-dev
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Alexander Kjäll <alexander.kjall@gmail.com>,
 Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
 Holger Levsen <holger@debian.org>
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/sequoia-sq]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/sequoia-sq
Homepage: https://sequoia-pgp.org/
X-Cargo-Crate: sequoia-sq

Package: sq
Architecture: any
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${cargo:Depends}
Recommends:
 ${cargo:Recommends}
Suggests:
 ${cargo:Suggests}
Provides:
 ${cargo:Provides}
Built-Using: ${cargo:Built-Using}
Static-Built-Using: ${cargo:Static-Built-Using}
Breaks: ispell (<< 3.4.00-6.1~)
Replaces: ispell (<< 3.4.00-6.1~)
Description: OpenPGP command-line tool from Sequoia
 sq is a command-line interface for OpenPGP, structured using
 subcommands and implemented in Rust.
 .
 Subcommands include: help, decrypt, encrypt, sign, verify, armor,
 dearmor, autocrypt, inspect, key, keyring, certify, packet.
 .
 It offers modern cryptographic algorithms by default, like Ed25519 and
 Curve25519.
 .
 The tool offers both message handling (encryption, decryption,
 signing, and verification), and key and certificate management (key
 generation, certificate maintenance, and certification), and is
 interoperable with other major OpenPGP implementations like GnuPG
 (gpg).

=== debian/watch ===
Version: 5

Source: https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/sequoia-sq
Matching-Pattern:  .*/crates/sequoia-sq/@ANY_VERSION@/download
Filenamemangle: s/.*\/(.*)\/download/sequoia-sq-$1\.tar\.gz/g
Uversionmangle: s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/
